mscorlib 2.0.0.0 4.0.0.0 System.Runtime.InteropServices.Guid("0000000e-0000-0000-c000-000000000046") System.Runtime.InteropServices.InterfaceType(System.Runtime.InteropServices.ComInterfaceType.InterfaceIsIUnknown)

For more information, see the existing documentation for IBindCtx in the MSDN library.

The common language runtime throws an exception when a COM method in native code returns an HRESULT. For more information, see How to: Map HRESULTs and Exceptions.

Provides the managed definition of the IBindCtx interface.

- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  For more information, see the existing documentation for IBindCtx::RegisterObjectBound in the MSDN library.

  Registers the passed object as one of the objects that has been bound during a moniker operation and that should be released when the operation is complete.

  The object to register for release.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` ``

  For more information, see the existing documentation for IBindCtx::RegisterObjectParam in the MSDN library.

  Registers the specified object pointer under the specified name in the internally maintained table of object pointers.

  The name to register with. The object to register.
- Method
  2.0.0.0
  4.0.0.0
  System.Void

  For more information, see the existing documentation for IBindCtx::ReleaseBoundObjects in the MSDN library.

  Releases all the objects currently registered with the bind context by using the method.

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  For more information, see the existing documentation for IBindCtx::RevokeObjectBound in the MSDN library.

  Removes the object from the set of registered objects that need to be released.

  The object to unregister for release.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 ``

  For more information, see the existing documentation for IBindCtx::RevokeObjectParam in the MSDN library.

  Revokes the registration of the object currently found under the specified key in the internally maintained table of contextual object parameters, if that key is currently registered.

  An S_OK HRESULT value if the specified key was successfully removed from the table; otherwise, an S_FALSE HRESULT value.

  The key to unregister.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` To be added. To be added. To be added.